Subject: [Teas-ns-dt] Definitions draft review

From: Jari Arkko <[email-masked]>
Date: Mon, 27 Jan 2020 14:05:35 +0000

I did a review of the definitions draft. We're off to a good start but I wanted to convey some smaller and larger comments, the latter mostly with the intent to scope the document down to a very specific goal, with the intent that it can be specified and approved as an IETF RFC easily and without extended discussions.

> the definition of transport slice in IETF

I wonder if the organization matters or rather the substance. Maybe “in IP networks” instead of “in IETF”. Or equivalent. What tech are you specifying? You should speak about that, not the standards org.

>  Network Slicing is considered very useful because there
>  is a need to generalize control, operations and management of diverse
> set of services and related resource requirements that can then be
>  applied to any number or type of proposed, implemented and/or
>  deployed technologies and associated devices.  Some key applications
>   which might benefit from the use of network slicing include:

I think there's two separate benefits here. First, why does one need slicing, partitioning, etc?  And secondly, if one needs it, why does one need to generalise it? 

> Transport slices are a
>  part of network slice that fulfills connection requirements, which
>  are created and managed within the scope of transport networks (e.g.
>  IP, MPLS, GMPLS).

Since the word endpoint is introduced above, maybe use it here too. Perhaps:

 ... connection requirements between endpoints. Transport slices are created ...

>   This document provides a definition of 'transport slices' in IETF,
>  and describes considerations for their realization.

I wonder if this should be in this document or elsewhere. E.g., the framework or a separate use cases document.

>   o  UPF: User Plane Function
 >  o  gNB: Next Generation Node B

Many terms and definitions... how much of this is necessary? Will this extra detail clutter what one tries to achieve with the definition? The crisper definition you have, the less you need to talk about mobile networks or other use cases. Considering writing another draft with use cases if that's necessary.

> 3.  High Level Architecture of End-to-End Network Slicing

This section is interesting and well written, but I wonder if it belongs to this document. We're not specifying the full slicing architecture. We should specify transport slices. 

How about defining transport slices *without* having to refer to end-to-end slice?

(It would be ok to have a small note like the one about sub-slice terms in Section 4.1)

 > "A transport slice is an abstract network topology connecting a
 >  number of endpoints, with expected objectives specified through a set
 >  of service level objectives (SLO)".

Seems fine... but one has to fill in the definition of endpoints (maybe forward ref to Section 5.2), the SLO in more detail (maybe forward ref to section 5), and also specify what "connecting" means.

> 4.2.  Overview of Transport Slice Structure

This is good material and generic.

> 4.2.2.  Transport Slice Controller Interfaces

Potentially fodder for removal, isn't this something that the framework document should talk about?
 
> 5.1.  Service Level Objectives on Transport Slice
>
>   A transport slice is defined in terms of several quantifiable
>   objectives or SLOs.  These objectives define a set of network
>   resource parameters or values necessary to provide a service a given
>   transport slice.  A non-exhaustive list of characteristics types for
>   transport slice is described below:
>
>   o  Guaranteed Bandwidth
>   o  Guaranteed Delay
>   o  Prevention of Jitter
>   o  High Reliability (i.e., low packet loss rate)
>   o  High Availability (i.e., MTBF, MTTR)
>   o  Secure network
>   o  etc.

I'd prefer to see a more complete and fully defined set of criteria (including references to definitions) which then can of course be extended by future docs.

> 5.3.  Vertical Transport Slice

This is ok, as is 5.4.

> 6.  Realization of Transport slice

Maybe the realisiation part is something that one should consider moving somewhere else. Potentially also the other parts, because while the first example for instance is quite good, it has a number of details that aren't core to the definition of a slice. Do we need a use case doc?

Jari

---

From: "Dongjie (Jimmy)" <[email-masked]>
Date: Tue, 28 Jan 2020 16:08:27 +0000

Hi Shunsuke and Jari,

Please see some comments inline with [Jie], thanks.

Best regards,
Jie

From: Teas-ns-dt [mailto:[email-masked]] On Behalf Of Shunsuke Homma
Sent: Tuesday, January 28, 2020 12:23 AM
To: Jari Arkko <jari.arkko=[email-masked]>
Cc: [email-masked]
Subject: Re: [Teas-ns-dt] Definitions draft review

Hi Jari,

I appreciate for your kind review and feedback. Please see inline.

Regards,

Shunsuke

2020年1月27日(月) 23:05 Jari Arkko <jari.arkko=[email-masked]<mailto:[email-masked]>>:
I did a review of the definitions draft. We're off to a good start but I wanted to convey some smaller and larger comments, the latter mostly with the intent to scope the document down to a very specific goal, with the intent that it can be specified and approved as an IETF RFC easily and without extended discussions.

I wonder if the organization matters or rather the substance. Maybe “in IP networks” instead of “in IETF”. Or equivalent. What tech are you specifying? You should speak about that, not the standards org.
[SH] "in IP network" seems better, and I'll change the term.

[Jie] Please see my previous mail to the list, which suggested to use “transport network” with some clarification about the scope of “transport network”.

I think there's two separate benefits here. First, why does one need slicing, partitioning, etc?  And secondly, if one needs it, why does one need to generalise it?
[SH] We'll consider replacing the text for emphasizing the two points: allowing diverse devices/applications which have different requirements on communication to coexist on the same network efficiently, and enabling tenants to deploy slices across multiple domains.

[Jie] Agree the benefit of network slicing and generalization need to be stated separately. The first is to meet the diverse services/applications’ requirement in the same network, while the second IMO is to ease the management of network slices across multiple domains or multiple technologies.
”

 ... connection requirements between endpoints. Transport slices are created ...
[SH] Agree. I'll modify it.

I wonder if this should be in this document or elsewhere. E.g., the framework or a separate use cases document.
[SH] Yes, I also think that considerations for realization should be moved to the framework document.

[Jie] This is also what I suggested in previous review comments: the scenarios described in section 6 could be moved to a separate document, some summarized considerations for realization may be moved to the framework document.

Many terms and definitions... how much of this is necessary? Will this extra detail clutter what one tries to achieve with the definition? The crisper definition you have, the less you need to talk about mobile networks or other use cases. Considering writing another draft with use cases if that's necessary.
[SH] Sure. We'll filter the list to only essentials.

(It would be ok to have a small note like the one about sub-slice terms in Section 4.1)
[SH] IMHO, some description about relationship between E2E slice and transport slice would be important, because transport slice won't necessarily provide e2e connectivity. However, the current description may includes too much information, and we'll reconsider and polish the description.

[Jie] In my understanding transport slice may be used as a component in end-to-end network slice, and may also be used as a mechanism to fulfil some service requirement in general cases. That said, it is useful to briefly describe the relationship of transport slice and end-to-end slice, then more focusing on transport network slice itself. Some text in the introduction section of VPN+ framework may be helpful.

Seems fine... but one has to fill in the definition of endpoints (maybe forward ref to Section 5.2), the SLO in more detail (maybe forward ref to section 5), and also specify what "connecting" means.
[SH] We need more elaboration with referring other I-Ds and RFCs.

[Jie] Agreed to clarify the definition by referencing and coordinating with other relevant drafts and RFCs mentioned on the conference call (VPN+, ACTN, RFC 7926, etc.).

[SH] Thanks.

[Jie] One comment I previously raised on this section was the description: “an E2E network slice might have one or more of "Transport Slices" and one or more of "Other Slices"”. If we consider the architecture of ACTN, a transport network with multiple domains could be abstracted using the MDSC and exposed to the client as one virtual network, thus with abstraction, could the multiple transport slices be seen as one abstracted transport slice by the end-to-end slice tenant? This could be discussed further on the conference calls.

Another comment is about the sentence: “the structure of a transport slice involves both definition and its realization.” It sounds a little strange that the definition is part of the structure. Maybe it wants say that the “the structure of a transport slice involves both the abstracted slice management and its realization”?

Potentially fodder for removal, isn't this something that the framework document should talk about?
[SH] OK. We can move this subsection to the framework doc. Btw, should stakeholders section be moved as well?

I'd prefer to see a more complete and fully defined set of criteria (including references to definitions) which then can of course be extended by future docs.
[SH] Sure. Let's continue the clarification.

[Jie] Agree that more explanation and references about these characteristics are needed. Some text and references can be found in section 2 of VPN+ framework.

> 5.3.  Vertical Transport Slice

This is ok, as is 5.4.
[SH] Thanks.

Maybe the realisiation part is something that one should consider moving somewhere else. Potentially also the other parts, because while the first example for instance is quite good, it has a number of details that aren't core to the definition of a slice. Do we need a use case doc?
[SH] I agree with that this section should be moved to other document. For example, can we describe these in an appendix of the framework doc? (It will take long time to make a new draft and reach our consensus. )

Thanks again.

Jari

--
Teas-ns-dt mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/teas-ns-dt

---

From: Shunsuke Homma <[email-masked]>
Date: Wed, 29 Jan 2020 13:56:54 +0900

Hi Jie, all,

Thank you for your useful comments. Please see inline. (My responses are
tagged with [SH2])

Also, I attached the current status (work in progress) and diffs from the
previous version. I hope it covers your points.

Regards,

Shunsuke

On Wed, Jan 29, 2020 at 1:08 AM Dongjie (Jimmy) <[email-masked]> wrote:

> *From:* Teas-ns-dt [mailto:[email-masked]] *On Behalf Of *Shunsuke
> Homma
> *Sent:* Tuesday, January 28, 2020 12:23 AM
> *To:* Jari Arkko <jari.arkko=[email-masked]>
> *Cc:* [email-masked]
> *Subject:* Re: [Teas-ns-dt] Definitions draft review
>
>
>
> Hi Jari,
>
>
>
> 2020年1月27日(月) 23:05 Jari Arkko <jari.arkko=[email-masked]>:
>
> I did a review of the definitions draft. We're off to a good start but I
> wanted to convey some smaller and larger comments, the latter mostly with
> the intent to scope the document down to a very specific goal, with the
> intent that it can be specified and approved as an IETF RFC easily and
> without extended discussions.
>
> I wonder if the organization matters or rather the substance. Maybe “in IP
> networks” instead of “in IETF”. Or equivalent. What tech are you
> specifying? You should speak about that, not the standards org.
>
> [Jie] Please see my previous mail to the list, which suggested to use
> “transport network” with some clarification about the scope of “transport
> network”.
>
> [SH2] As Jeff also pointed, I used "transport network" instead of "IP
network" or "Packet-Switched Network".

> I think there's two separate benefits here. First, why does one need
> slicing, partitioning, etc?  And secondly, if one needs it, why does one
> need to generalise it?
>
> [SH] We'll consider replacing the text for emphasizing the two points:
> allowing diverse devices/applications which have different requirements on
> communication to coexist on the same network efficiently, and enabling
> tenants to deploy slices across multiple domains.
>
>
>
> [SH2] Please check the new text in the attached file.

> I wonder if this should be in this document or elsewhere. E.g., the
> framework or a separate use cases document.
>
> [Jie] This is also what I suggested in previous review comments: the
> scenarios described in section 6 could be moved to a separate document,
> some summarized considerations for realization may be moved to the
> framework document.
>
>
>
[SH2] I assume some essences related to realization are described in
hierarchical concept in section 5, and I removed section 6 from definition
draft.

> Many terms and definitions... how much of this is necessary? Will this
> extra detail clutter what one tries to achieve with the definition? The
> crisper definition you have, the less you need to talk about mobile
> networks or other use cases. Considering writing another draft with use
> cases if that's necessary.
>
> This section is interesting and well written, but I wonder if it belongs
> to this document. We're not specifying the full slicing architecture. We
> should specify transport slices.
>
> [SH] IMHO, some description about relationship between E2E slice and
> transport slice would be important, because transport slice won't
> necessarily provide e2e connectivity. However, the current description may
> includes too much information, and we'll reconsider and polish the
> description.
>
>
>
> [Jie] In my understanding transport slice may be used as a component in
> end-to-end network slice, and may also be used as a mechanism to fulfil
> some service requirement in general cases. That said, it is useful to
> briefly describe the relationship of transport slice and end-to-end slice,
> then more focusing on transport network slice itself. Some text in the
> introduction section of VPN+ framework may be helpful.
>
>
>
[SH2] Thanks. I'll refer the introduction VPN+.

> Seems fine... but one has to fill in the definition of endpoints (maybe
> forward ref to Section 5.2), the SLO in more detail (maybe forward ref to
> section 5), and also specify what "connecting" means.
>
> [Jie] Agreed to clarify the definition by referencing and coordinating
> with other relevant drafts and RFCs mentioned on the conference call (VPN+,
> ACTN, RFC 7926, etc.).
>
>
>
> [Jie] One comment I previously raised on this section was the description:
> “an E2E network slice might have one or more of "Transport Slices" and one
> or more of "Other Slices"”. If we consider the architecture of ACTN, a
> transport network with multiple domains could be abstracted using the MDSC
> and exposed to the client as one virtual network, thus with abstraction,
> could the multiple transport slices be seen as one abstracted transport
> slice by the end-to-end slice tenant? This could be discussed further on
> the conference calls.
>
> [SH2] I think  this point is covered in the section 5.3. IMHO,
"abstraction level" (i.e., whether multiple transport slices should be
exposed as one transport slice or not) will vary depending on service
providing form.

>
>
> Another comment is about the sentence: “the structure of a transport slice
> involves both definition and its realization.” It sounds a little strange
> that the definition is part of the structure. Maybe it wants say that the
> “the structure of a transport slice involves both the abstracted slice
> management and its realization”?
>
>
>
[SH2] This sentence is added by other authors and I'm not sure whether my
understanding is correct, but I assume that the points here are following
two points:
- Transport slice is provided and managed as abstracted network (i.e., the
definitions is technology agnostic)
- It will be realized with specific technologies (i.e., realization is tied
to specific technologies)

Certainly, this may be confusing and I'll consider to modify the text.

> I'd prefer to see a more complete and fully defined set of criteria
> (including references to definitions) which then can of course be extended
> by future docs.
>
> [Jie] Agree that more explanation and references about these
> characteristics are needed. Some text and references can be found in
> section 2 of VPN+ framework.
>
>
>
[SH2] Thanks. I'll refer the section.

> Maybe the realisiation part is something that one should consider moving
> somewhere else. Potentially also the other parts, because while the first
> example for instance is quite good, it has a number of details that aren't
> core to the definition of a slice. Do we need a use case doc?
>
> [SH] I agree with that this section should be moved to other document. For
> example, can we describe these in an appendix of the framework doc? (It
> will take long time to make a new draft and reach our consensus. )
>
>
>
> Thanks again.
>
>
>
> Jari
>
>
> --
> Teas-ns-dt mailing list
> [email-masked]